Package org.apache.sling.feature.extension.unpack

## Class Unpack

- java.lang.Object
- - org.apache.sling.feature.extension.unpack.Unpack

    public class Unpack
    extends Object

### Field Summary

Fields
`static String` `UNPACK_EXTENSIONS_PROP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Unpack` `fromMapping​(String mapping)`
`boolean` `handle​(org.apache.sling.feature.Extension extension, org.apache.sling.feature.builder.ArtifactProvider provider)`
`boolean` `handle​(org.apache.sling.feature.Extension extension, org.apache.sling.feature.builder.ArtifactProvider provider, BiConsumer<URL,​Map<String,​Object>> handler)`
`boolean` `handles​(InputStream stream, Map<String,​Object> context)`
`static boolean` `handles​(String key, String value, InputStream inputStream)`
`void` `unpack​(InputStream stream, Map<String,​Object> context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNPACK_EXTENSIONS_PROP

    public static final String UNPACK_EXTENSIONS_PROP

See Also:
  Constant Field Values

### Method Detail

#### handle

    public boolean handle​(org.apache.sling.feature.Extension extension,
                          org.apache.sling.feature.builder.ArtifactProvider provider)

#### handle

    public boolean handle​(org.apache.sling.feature.Extension extension,
                          org.apache.sling.feature.builder.ArtifactProvider provider,
                          BiConsumer<URL,​Map<String,​Object>> handler)

#### handles

    public boolean handles​(InputStream stream,
                           Map<String,​Object> context)

#### handles

    public static boolean handles​(String key,
                                  String value,
                                  InputStream inputStream)

#### unpack

    public void unpack​(InputStream stream,
                       Map<String,​Object> context)

#### fromMapping

    public static Unpack fromMapping​(String mapping)